%define major	10
%define api	1.0

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gnome-dictionary
Epoch:		1
Version:	40.0
Release:	%mkrel 3
Summary:	GNOME Dictionary
License:	GPLv2+ and LGPLv2
Group:		Office/Dictionary
Url:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		https://github.com/GNOME/gnome-dictionary/commit/cf3f8a67cd6f3059c555ed9cf0f5fba10abb7f68.patch
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
Conflicts:	gnome-utils < 1:3.3.2
BuildRequires:  appstream-util

%description
GNOME Dictionary - Look up words in dictionary sources.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%doc NEWS README.md 
%{_bindir}/%{name}
%{_datadir}/gdict-%{api}/
%{_datadir}/glib-2.0/schemas/org.gnome.dictionary.gschema.xml
%{_datadir}/applications/org.gnome.Dictionary.desktop
%{_datadir}/dbus-1/services/org.gnome.Dictionary.service
%{_mandir}/man1/%%{name}.1.*
%{_datadir}/metainfo/org.gnome.Dictionary.appdata.xml
%{_iconsdir}/*/*/*/org.gnome.Dictionary*


%changelog
* Sun Aug 14 2022 tv <tv> 1:40.0-3.mga9
+ Revision: 1877545
- Fix build with meson-0.60

* Thu Mar 31 2022 umeabot <umeabot> 1:40.0-2.mga9
+ Revision: 1836198
- Mageia 9 Mass Rebuild

* Wed Mar 24 2021 ovitters <ovitters> 1:40.0-1.mga9
+ Revision: 1709600
- new version 40.0

* Wed Aug 05 2020 joequant <joequant> 1:3.26.1-5.mga8
+ Revision: 1611145
- revert man change
- fix deps
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1:3.26.1-4.mga8
+ Revision: 1526001
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 1:3.26.1-3.mga7
+ Revision: 1392395
- Rebuild with meson 0.50.1

* Sun Sep 23 2018 umeabot <umeabot> 1:3.26.1-2.mga7
+ Revision: 1297954
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 ovitters <ovitters> 1:3.26.1-1.mga7
+ Revision: 1162221
- new version 3.26.1

* Fri Sep 22 2017 tv <tv> 1:3.26.0-1.mga7
+ Revision: 1157066
- adjust filelist
+ ovitters <ovitters>
- new version 3.26.0

* Wed Aug 23 2017 ovitters <ovitters> 1:3.25.90-1.mga7
+ Revision: 1143636
- remove library subpackage (changed to private library)
- switch to meson
- new version 3.25.90

* Tue Mar 21 2017 ovitters <ovitters> 1:3.24.0-1.mga6
+ Revision: 1094067
- new version 3.24.0

* Tue Mar 22 2016 ovitters <ovitters> 1:3.20.0-1.mga6
+ Revision: 993967
- new version 3.20.0

* Tue Mar 01 2016 ovitters <ovitters> 1:3.19.91-1.mga6
+ Revision: 981687
- new version 3.19.91

* Sun Feb 14 2016 ovitters <ovitters> 1:3.19.90-1.mga6
+ Revision: 960341
- new version 3.19.90

* Thu Feb 11 2016 umeabot <umeabot> 1:3.19.0-2.mga6
+ Revision: 954084
- Mageia 6 Mass Rebuild

* Mon Jan 25 2016 ovitters <ovitters> 1:3.19.0-1.mga6
+ Revision: 927473
- new version 3.19.0
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 1:3.18.0-1.mga6
+ Revision: 882998
- new release

* Tue Aug 18 2015 ovitters <ovitters> 1:3.17.90-1.mga6
+ Revision: 865662
- bump major
- new version 3.17.90

* Sun Jul 19 2015 ovitters <ovitters> 1:3.17.4-1.mga6
+ Revision: 855533
- new version 3.17.4

* Mon Jun 22 2015 ovitters <ovitters> 1:3.17.3-1.mga6
+ Revision: 839898
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 1:3.17.2-1.mga6
+ Revision: 839603
- new version 3.17.2

* Tue Nov 11 2014 ovitters <ovitters> 1:3.14.2-1.mga5
+ Revision: 796295
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:3.14.1-2.mga5
+ Revision: 744654
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 1:3.14.1-1.mga5
+ Revision: 738332
- new version 3.14.1

* Tue Sep 23 2014 ovitters <ovitters> 1:3.14.0-1.mga5
+ Revision: 721236
- new version 3.14.0

* Fri Sep 19 2014 ovitters <ovitters> 1:3.13.92-1.mga5
+ Revision: 697424
- new version 3.13.92

* Tue Sep 16 2014 umeabot <umeabot> 1:3.10.0-3.mga5
+ Revision: 679715
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1:3.10.0-2.mga4
+ Revision: 540575
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dams <dams> 1:3.10.0-1.mga4
+ Revision: 493987
- new version 3.10.0

* Wed Aug 21 2013 fwang <fwang> 1:3.9.0-1.mga4
+ Revision: 468950
- new version 3.9.0

* Sun Jul 21 2013 ovitters <ovitters> 1:3.8.0-1.mga4
+ Revision: 456877
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 1:3.6.0-2.mga3
+ Revision: 352107
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- update rpm group

* Tue Sep 25 2012 ovitters <ovitters> 1:3.6.0-1.mga3
+ Revision: 297766
- update file list
- br libxml2-utils
- br itstool
- new version 3.6.0

* Tue Jun 26 2012 ovitters <ovitters> 1:3.5.2-1.mga3
+ Revision: 263895
- new version 3.5.2

* Mon Mar 26 2012 ovitters <ovitters> 1:3.4.0-1.mga2
+ Revision: 226574
- new version 3.4.0

* Sat Oct 29 2011 wally <wally> 1:3.3.2-1.mga2
+ Revision: 159568
- imported package gnome-dictionary

